package com.ms.biz.tool;

import java.util.HashMap;
import java.util.Map;

public class OrderPrintTool {
    private static final Map<Integer, String> orderFlagMap = new HashMap<>();

    static {
        orderFlagMap.put(0, "flag-gray.png");
        orderFlagMap.put(1, "flag-purple.png");
        orderFlagMap.put(2, "flag-cyan.png");
        orderFlagMap.put(3, "flag-green.png");
        orderFlagMap.put(4, "flag-orange.png");
        orderFlagMap.put(5, "flag-red.png");
        orderFlagMap.put(6, "flag-black.png"); // 6之前源码没有,前端说有就加了个
    }

    /**
     * 获取备注旗帜
     * @param flag
     * @return
     */
    public static String getOrderFlag(int flag) {
        return orderFlagMap.get(flag);
    }


}
